=== debian/changelog ===
fnordmetric (0.1.0.20150502+gite736fba3-4) unstable; urgency=medium

  * Depend on default-libmysqlclient-dev (Closes: #845840)

 -- Sebastien Delafond <seb@debian.org>  Sun, 27 Nov 2016 10:27:03 +0100

fnordmetric (0.1.0.20150502+gite736fba3-3) unstable; urgency=medium

  * Apply patch from Jurica Stanojkovic <Jurica.Stanojkovic@imgtec.com>,
    to enable compilation on mips, mipsel and powerpc (Closes: #801966)

 -- Sebastien Delafond <seb@debian.org>  Tue, 20 Oct 2015 09:06:18 +0200

fnordmetric (0.1.0.20150502+gite736fba3-2) unstable; urgency=low

  * Add missing files to debian/copyright
  * Better formatting of 00010fix-cmake-install-target.patch
  * New patch 0002-No-minified-codemirror.js.patch
  * New patch 0003-No-minified-prettify.js.patch

 -- Sebastien Delafond <seb@debian.org>  Thu, 30 Jul 2015 16:48:22 +0200

fnordmetric (0.1.0.20150502+gite736fba3-1) unstable; urgency=low

  * Initial release (Closes: #769910)

 -- Sebastien Delafond <seb@debian.org>  Sat, 02 May 2015 22:23:42 +0200
