=== debian/control ===
Source: fnordmetric
Section: misc
Priority: optional
Maintainer: Sebastien Delafond <seb@debian.org>
Build-Depends: debhelper (>= 9), cmake, vim-common, default-libmysqlclient-dev, libpq-dev, libjs-codemirror
Standards-Version: 3.9.8
Homepage: http://fnordmetric.io
Vcs-Git: git://anonscm.debian.org/collab-maint/fnordmetric.git
Vcs-Browser: http://anonscm.debian.org/git/collab-maint/fnordmetric.git

Package: fnordmetric
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libjs-prettify
Description: write SQL queries that return SVG charts rather than tables
 FnordMetric has two components:
 .
 FnordMetric ChartSQL allows you to write SQL queries that return charts
 instead of tables. The charts are rendered as SVG vector graphics and
 can easily be embedded into any website and customized with css in order
 to build beautiful dashboards. You can execute ChartSQL queries from the
 command line against a number of external sources like CSV files or a
 MySQL database
 .
 Fnordmetric Server is a standalone HTTP server application. It exposes a
 web UI and a HTTP API to run ChartSQL queries and collect timeseries
 data. You can use fnordmetric-server as a one-stop solution for metric
 collection and charting. Since fnordmetric-server aims to be a
 StatsD+graphite competitor, it implements a wire compatible StatsD API.
 FnordMetric Server can store the collected timeseries data on local disk
 or in external storage (HBase)
